import { Component } from "react";
import type { BaseModalProps } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/components/Modal/utils";
export type FullPageModalProps = BaseModalProps & {
    isOpen: boolean;
    onClose?: () => void;
    fullPageModal?: boolean;
};
type FullPageModalState = {
    isOpen: boolean;
};
export declare class FullPageModal extends Component<FullPageModalProps, FullPageModalState> {
    _modalElement: HTMLDivElement;
    _scrollX: number;
    _scrollY: number;
    constructor(props: FullPageModalProps);
    setTopOfModalToBottomOfNav(): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    handleDismissal: () => void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export {};
